/* Common agent functions */

#include <stdio.h>
#include <string.h>

#include "wrappers.h"
#include "clocation.h"


/* after gathering information, report back */
int report_back_status(char *msg, char *location) {
        int status;
        int sockfd = connect_to_location(location);

        warn("Trying to report status \"%s\"\n", msg);
        if (sockfd < 0) {
                warn("Couldn't report back to %s\n", location);
                return sockfd;
        }
        status = send(sockfd, msg, strlen(msg) + 1, 0);
        status |= wclose(sockfd);
        if (status < 0)
                warn("Error while reporting back to %s.\n", location);
        return status;
}


