/* agent move primatives
 */ 

#include <unistd.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include "filexfer.h"
#include "agentxfer.h"
#include "clocation.h"

#if 0
int send_agent(char *host, int port, char *agent_filename) {
	int socketfd;
	struct sockaddr_in si;

	si.sin_family = AF_INET;
	si.sin_port = htons(port);
	inet_aton(host, &si.sin_addr); /* FIXME: accept host NAMES too */
	memset(&(si.sin_zero), '\0', 8);

	if ((socketfd = socket(PF_INET, SOCK_STREAM, 0)) == -1) return -1;
	if (connect(socketfd, (const struct sockaddr *) &si, sizeof(si)) == -1) 
		return -1;
	if (send_file(socketfd, agent_filename) == -1) return -1;
	if (close(socketfd) == -1) return -1;

	return 0;
}
#endif

int send_agent_to(char *location, char *agent_filename) {
        int socketfd = connect_to_location(location);

	if (socketfd < 0) return socketfd;
        if (send_file(socketfd, agent_filename) == -1) return -1;
        if (close(socketfd) == -1) return -1;

        return 0;
}

