# 1 "agent.c"
# 1 "<built-in>"
# 1 "<command line>"
# 1 "agent.c"


# 1 "wrappers.h" 1



# 1 "/home/katerina/ansi-c-lib/sys/socket.h" 1



# 1 "/home/katerina/ansi-c-lib/stddef.h" 1
# 5 "/home/katerina/ansi-c-lib/sys/socket.h" 2







enum
{
  SHUT_RD = 0,

  SHUT_WR,

  SHUT_RDWR

};





typedef int ssize_t;
typedef int socklen_t;

struct sockaddr
{
  unsigned short int sa_family;
  unsigned char sa_data[14];
};

int socket (int __domain, int __type, int __protocol);
int socketpair (int __domain, int __type, int __protocol,
                       int __fds[2]);
int bind (int __fd, struct sockaddr *__addr, socklen_t __len);
int getsockname (int __fd, struct sockaddr *__addr,
                       socklen_t *__len);
int connect (int __fd, struct sockaddr * __addr, socklen_t __len);
int getpeername (int __fd, struct sockaddr *__addr,
                       socklen_t *__len);
ssize_t send (int __fd, __const void *__buf, size_t __n, int __flags);
ssize_t recv (int __fd, void *__buf, size_t __n, int __flags);
ssize_t sendto (int __fd, __const void *__buf, size_t __n,
                       int __flags, struct sockaddr * __addr,
                       socklen_t __addr_len);
ssize_t recvfrom (int __fd, void * __buf, size_t __n,
                         int __flags, struct sockaddr *__addr,
                         socklen_t *__addr_len);
ssize_t sendmsg (int __fd, __const struct msghdr *__message,
                        int __flags);
ssize_t recvmsg (int __fd, struct msghdr *__message, int __flags);
int getsockopt (int __fd, int __level, int __optname,
                       void *__optval,
                       socklen_t *__optlen);
int listen (int __fd, int __n);
int accept (int __fd, struct sockaddr *__addr,
                   socklen_t *__addr_len);
int shutdown (int __fd, int __how);
int sockatmark (int __fd);
int isfdtype (int __fd, int __fdtype);
# 5 "wrappers.h" 2
# 1 "/home/katerina/ansi-c-lib/netinet/in.h" 1



# 1 "/home/katerina/ansi-c-lib/features.h" 1
# 5 "/home/katerina/ansi-c-lib/netinet/in.h" 2






enum
  {
    IPPROTO_IP = 0,

    IPPROTO_HOPOPTS = 0,

    IPPROTO_ICMP = 1,

    IPPROTO_IGMP = 2,

    IPPROTO_IPIP = 4,

    IPPROTO_TCP = 6,

    IPPROTO_EGP = 8,

    IPPROTO_PUP = 12,

    IPPROTO_UDP = 17,

    IPPROTO_IDP = 22,

    IPPROTO_TP = 29,

    IPPROTO_IPV6 = 41,

    IPPROTO_ROUTING = 43,

    IPPROTO_FRAGMENT = 44,

    IPPROTO_RSVP = 46,

    IPPROTO_GRE = 47,

    IPPROTO_ESP = 50,

    IPPROTO_AH = 51,

    IPPROTO_ICMPV6 = 58,

    IPPROTO_NONE = 59,


    IPPROTO_DSTOPTS = 60,

    IPPROTO_MTP = 92,

    IPPROTO_ENCAP = 98,

    IPPROTO_PIM = 103,

    IPPROTO_COMP = 108,

    IPPROTO_SCTP = 132,

    IPPROTO_RAW = 255,

    IPPROTO_MAX
  };


typedef ushort in_port_t;


enum
  {
    IPPORT_ECHO = 7,
    IPPORT_DISCARD = 9,
    IPPORT_SYSTAT = 11,
    IPPORT_DAYTIME = 13,
    IPPORT_NETSTAT = 15,
    IPPORT_FTP = 21,
    IPPORT_TELNET = 23,
    IPPORT_SMTP = 25,
    IPPORT_TIMESERVER = 37,
    IPPORT_NAMESERVER = 42,
    IPPORT_WHOIS = 43,
    IPPORT_MTP = 57,

    IPPORT_TFTP = 69,
    IPPORT_RJE = 77,
    IPPORT_FINGER = 79,
    IPPORT_TTYLINK = 87,
    IPPORT_SUPDUP = 95,

    IPPORT_EXECSERVER = 512,
    IPPORT_LOGINSERVER = 513,
    IPPORT_CMDSERVER = 514,
    IPPORT_EFSSERVER = 520,


    IPPORT_BIFFUDP = 512,
    IPPORT_WHOSERVER = 513,
    IPPORT_ROUTESERVER = 520,


    IPPORT_RESERVED = 1024,


    IPPORT_USERRESERVED = 5000
  };


typedef uint in_addr_t;
struct in_addr
  {
    in_addr_t s_addr;
  };
# 169 "/home/katerina/ansi-c-lib/netinet/in.h"
struct sockaddr_in
{
  int sin_family;
  in_port_t sin_port;
  struct in_addr sin_addr;
  char sin_zero[8];
};

uint ntohl(uint __netlong);
uint ntohs(uint __netshort);
uint htonl(uint __hostlong);
uint htons(uint __hostshort);
# 6 "wrappers.h" 2
# 1 "/home/katerina/ansi-c-lib/arpa/inet.h" 1
# 11 "/home/katerina/ansi-c-lib/arpa/inet.h"
in_addr_t inet_lnaof(struct in_addr __in);
struct in_addr inet_makeaddr(in_addr_t __net, in_addr_t __host);
in_addr_t inet_netof(struct in_addr __in);
in_addr_t inet_network(const char *__cp);
char *inet_ntoa(struct in_addr in);
int inet_aton(const char *cp, struct in_addr *inp);
# 7 "wrappers.h" 2


int xsocket(int domain, int type, int protocol);
void xbind(int sockfd, struct sockaddr *my_addr, size_t addrlen);
void xlisten(int sockfd, int backlog);
void xconnect(int sockfd, const struct sockaddr *serv_addr, socklen_t addrlen);
int connect_to_host_and_port(char *host_ip, int port);
ssize_t rsend(int s, const void *buf, size_t len, int flags);
ssize_t wget_data(int sockfd, char *buf, size_t size);
char *wrecv_nullterminated(int connfd, int buf_size);
void show_error_and_exit();
int wclose(int fd);
char *describe_err(int err);
void warn(const char *fmt, ...);
void free_after_dyn_not_recognized_by_satabs(void *a_ptr);



int EINTR = 1;
int PATH_MAX = 4096;





int debug;
# 4 "agent.c" 2






int report_back_status(char *msg) {
        int status;
        int sockfd = connect_to_location("");

        warn("Trying to report status \"%s\"\n", msg);
        if (sockfd < 0) {
                warn("Couldn't report back to %s\n", "");
                return sockfd;
        }
        status = send(sockfd, msg, strlen(msg) + 1, 0);
        status |= wclose(sockfd);
        if (status < 0)
                warn("Error while reporting back to %s.\n", "");
        return status;
}
