/* push-recv is paired with push-sender. 
 * It waits, listening on a port, for incoming file transfers, 
 * executes the code from them, and continues listening.
 */

#include <stdlib.h>
#include <sys/socket.h> /* for socklen_t */
#include <arpa/inet.h> /* for struckt sockaddr_in */
#include <errno.h>
#include <string.h>

#include "wrappers.h"
#include "listener.h"
#include "filexfer.h"
#include "run.h"
#include "clocation.h"
#include "push_recv_core.h"


int main(int argc, char **argv) {
	int socketfd = init_listener(argc, argv);
	mainloop(socketfd);
	return 0;

}

